package ub.scp2.entities;

import infoObjects.InfoTest;

/**
 * Test.java -this class is an entity binded to the test table from the database
 * 
 *
 */
public class Test implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -992896069420645205L;
	private Long testId;
	private String arguments;
	private String output;
	private Task task;

	public Test() {
	}

	public Test(String output) {
		this.output = output;
	}

	public Test(String arguments, String output) {
		this.arguments = arguments;
		this.output = output;
	}

	public Long getTestId() {
		return this.testId;
	}

	public void setTestId(Long testId) {
		this.testId = testId;
	}

	public String getArguments() {
		return this.arguments;
	}

	public void setArguments(String arguments) {
		this.arguments = arguments;
	}

	public String getOutput() {
		return this.output;
	}

	public void setOutput(String output) {
		this.output = output;
	}

	public Task getTask() {
		return task;
	}

	public void setTask(Task task) {
		this.task = task;
	}
	
		

}
